> For the complete documentation index, see [llms.txt](https://docs.licensespring.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.licensespring.com/sdks/errors-and-response-codes.md).

# Errors and Response Codes

| Error key                       | HTTP code | Description                                                                                    |
| ------------------------------- | --------: | ---------------------------------------------------------------------------------------------- |
| `active_license_required`       |       400 | active license is required                                                                     |
| `authorization_invalid_headers` |       400 | invalid headers value in authorization                                                         |
| `authorization_missing_params`  |       400 | some parameters are missing in authorization: different, parameters                            |
| `device_not_found`              |       400 | an active device matching `hardware_id` not found                                              |
| `hmac_required`                 |       400 | hmac is required algorithm                                                                     |
| `internal_error`                |       500 | Server-side error: Internal error                                                              |
| `invalid_api_key`               |       400 | provided api key is not valid                                                                  |
| `license_activated_max_times`   |       400 | license is already activated max number of times                                               |
| `license_key_required`          |       400 | `license_key` is missing from the request                                                      |
| `license_not_active`            |       400 | license is not active                                                                          |
| `license_not_enabled`           |       400 | license is not enabled                                                                         |
| `license_not_found`             |       400 | license with provided `license_key` not found                                                  |
| `missing_hardware_id`           |       400 | `hardware_id` missing in the request                                                           |
| `missing_headers`               |       400 | some headers are missing                                                                       |
| `missing_parameter`s\`          |       400 | some parameters are missing in the request: different, parameters                              |
| `order_id_exists`               |       409 | Order with this ID already exists                                                              |
| `signature_mismatch`            |       401 | signature mismatch                                                                             |
| `trial_expired`                 |       400 | trial period for device has expired                                                            |
| `unknown_product`               |       400 | provided product was not found                                                                 |
| `unsupported_product_feature`   |       400 | One or more of requested product features do not exists or they are not enabled on the product |
| `version_not_found`             |       400 | file at requested version does not exist                                                       |
| `disabled_product`              |       400 | Provided product is disabled.                                                                  |
| `archived_product`              |       400 | Provided product is archived.                                                                  |
| `license_transferred_max_times` |       400 | license transferred max times                                                                  |
| `licenseUserActivatedMaxTimes`  |       400 | license user has already activated license max number of times                                 |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.licensespring.com/sdks/errors-and-response-codes.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
